=== modified file 'drizzled/select_dumpvar.h'
--- drizzled/select_dumpvar.h	2009-02-12 22:45:08 +0000
+++ drizzled/select_dumpvar.h	2009-02-28 20:29:34 +0000
@@ -23,19 +23,20 @@
 
 #include <drizzled/error.h>
 
+#include <vector>
 
 class select_dumpvar :public select_result_interceptor {
   ha_rows row_count;
 public:
-  List<my_var> var_list;
-  select_dumpvar()  { var_list.empty(); row_count= 0;}
+  std::vector<my_var *> var_list;
+  select_dumpvar()  { var_list.clear(); row_count= 0;}
   ~select_dumpvar() {}
 
   int prepare(List<Item> &list, Select_Lex_Unit *u)
   {
     unit= u;
 
-    if (var_list.elements != list.elements)
+    if (var_list.size() != list.elements)
     {
       my_message(ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT,
                  ER(ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT), MYF(0));
@@ -52,10 +53,12 @@
 
   bool send_data(List<Item> &items)
   {
-    List_iterator_fast<my_var> var_li(var_list);
+    
+    std::vector<my_var *>::const_iterator iter= var_list.begin();
+
     List_iterator<Item> it(items);
     Item *item;
-    my_var *mv;
+    my_var *current_var;
 
     if (unit->offset_limit_cnt)
     {						// using limit offset,count
@@ -67,15 +70,17 @@
       my_message(ER_TOO_MANY_ROWS, ER(ER_TOO_MANY_ROWS), MYF(0));
       return(1);
     }
-    while ((mv= var_li++) && (item= it++))
+    while ((iter != var_list.end()) && (item= it++))
     {
-      if (mv->local == 0)
+      current_var= *iter;
+      if (current_var->local == 0)
       {
-        Item_func_set_user_var *suv= new Item_func_set_user_var(mv->s, item);
+        Item_func_set_user_var *suv= new Item_func_set_user_var(current_var->s, item);
         suv->fix_fields(session, 0);
         suv->check(0);
         suv->update();
       }
+      ++iter;
     }
     return(session->is_error());
   }

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-02-26 02:10:12 +0000
+++ drizzled/session.h	2009-02-28 20:29:34 +0000
@@ -1265,4 +1265,4 @@
 void add_diff_to_status(STATUS_VAR *to_var, STATUS_VAR *from_var,
                         STATUS_VAR *dec_var);
 
-#endif /* DRIZZLED_SQL_CLASS_H */
+#endif /* DRIZZLED_SESSION_H */

